FederationRPCMBean (Apache Hadoop HDFS-RBF 3.5.0 API)
Description: declaration: package: org.apache.hadoop.hdfs.server.federation.metrics, interface: FederationRPCMBean

Package org.apache.hadoop.hdfs.server.federation.metrics

# Interface FederationRPCMBean

All Known Implementing Classes:
  `FederationRPCMetrics`

@Private @Evolving public interface FederationRPCMBean
JMX interface for the RPC server. TODO use the default RPC MBean.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `long`
  `getActiveProxyOps()`
  `String`
  `getAsyncCallerPool()`
  Get the JSON representation of the async caller thread pool.
  `String`
  `getAvailableHandlerOnPerNs()`
  JSON representation of the available handler per Ns.
  `long`
  `getObserverProxyOps()`
  `double`
  `getProcessingAvg()`
  `long`
  `getProcessingOps()`
  `double`
  `getProxyAvg()`
  `long`
  `getProxyOpFailureClientOverloaded()`
  `long`
  `getProxyOpFailureCommunicate()`
  `long`
  `getProxyOpFailureStandby()`
  `long`
  `getProxyOpNoNamenodes()`
  `long`
  `getProxyOpNotImplemented()`
  `String`
  `getProxyOpPermitAcceptedPerNs()`
  Get the number of operations accepted of each namespace.
  `long`
  `getProxyOpPermitRejected()`
  Get the number of operations rejected due to lack of permits.
  `String`
  `getProxyOpPermitRejectedPerNs()`
  Get the number of operations rejected due to lack of permits of each namespace.
  `long`
  `getProxyOpRetries()`
  `long`
  `getProxyOps()`
  `long`
  `getRouterFailureLockedOps()`
  `long`
  `getRouterFailureReadOnlyOps()`
  `long`
  `getRouterFailureSafemodeOps()`
  `long`
  `getRouterFailureStateStoreOps()`
  `String`
  `getRpcClientConnections()`
  JSON representation of the RPC connections from the Router to the NNs.
  `int`
  `getRpcClientNumActiveConnections()`
  Get the number of active RPC connections between the Router and the NNs.
  `int`
  `getRpcClientNumActiveConnectionsRecently()`
  Get the number of recently active RPC connections between the Router and the NNs.
  `int`
  `getRpcClientNumConnectionPools()`
  Get the number of connection pools between the Router and a NNs.
  `int`
  `getRpcClientNumConnections()`
  Get the number of RPC connections between the Router and the NNs.
  `int`
  `getRpcClientNumCreatingConnections()`
  Get the number of RPC connections to be created.
  `int`
  `getRpcClientNumIdleConnections()`
  Get the number of idle RPC connections between the Router and the NNs.
  `int`
  `getRpcServerCallQueue()`
  `int`
  `getRpcServerNumOpenConnections()`
  Get the number of RPC connections between the clients and the Router.

- ## Method Details

  - ### getProxyOps

    long getProxyOps()

  - ### getActiveProxyOps

    long getActiveProxyOps()

  - ### getObserverProxyOps

    long getObserverProxyOps()

  - ### getProxyAvg

    double getProxyAvg()

  - ### getProcessingOps

    long getProcessingOps()

  - ### getProcessingAvg

    double getProcessingAvg()

  - ### getProxyOpFailureCommunicate

    long getProxyOpFailureCommunicate()

  - ### getProxyOpFailureStandby

    long getProxyOpFailureStandby()

  - ### getProxyOpFailureClientOverloaded

    long getProxyOpFailureClientOverloaded()

  - ### getProxyOpNotImplemented

    long getProxyOpNotImplemented()

  - ### getProxyOpRetries

    long getProxyOpRetries()

  - ### getProxyOpNoNamenodes

    long getProxyOpNoNamenodes()

  - ### getRouterFailureStateStoreOps

    long getRouterFailureStateStoreOps()

  - ### getRouterFailureReadOnlyOps

    long getRouterFailureReadOnlyOps()

  - ### getRouterFailureLockedOps

    long getRouterFailureLockedOps()

  - ### getRouterFailureSafemodeOps

    long getRouterFailureSafemodeOps()

  - ### getRpcServerCallQueue

    int getRpcServerCallQueue()

  - ### getRpcServerNumOpenConnections

    int getRpcServerNumOpenConnections()
    Get the number of RPC connections between the clients and the Router.
    Returns:
      Number of RPC connections between the clients and the Router.

  - ### getRpcClientNumConnections

    int getRpcClientNumConnections()
    Get the number of RPC connections between the Router and the NNs.
    Returns:
      Number of RPC connections between the Router and the NNs.

  - ### getRpcClientNumActiveConnections

    int getRpcClientNumActiveConnections()
    Get the number of active RPC connections between the Router and the NNs.
    Returns:
      Number of active RPC connections between the Router and the NNs.

  - ### getRpcClientNumIdleConnections

    int getRpcClientNumIdleConnections()
    Get the number of idle RPC connections between the Router and the NNs.
    Returns:
      Number of idle RPC connections between the Router and the NNs.

  - ### getRpcClientNumActiveConnectionsRecently

    int getRpcClientNumActiveConnectionsRecently()
    Get the number of recently active RPC connections between the Router and the NNs.
    Returns:
      Number of recently active RPC connections between the Router and the NNs.

  - ### getRpcClientNumCreatingConnections

    int getRpcClientNumCreatingConnections()
    Get the number of RPC connections to be created.
    Returns:
      Number of RPC connections to be created.

  - ### getRpcClientNumConnectionPools

    int getRpcClientNumConnectionPools()
    Get the number of connection pools between the Router and a NNs.
    Returns:
      Number of connection pools between the Router and a NNs.

  - ### getRpcClientConnections

    String getRpcClientConnections()
    JSON representation of the RPC connections from the Router to the NNs.
    Returns:
      JSON string representation.

  - ### getAvailableHandlerOnPerNs

    String getAvailableHandlerOnPerNs()
    JSON representation of the available handler per Ns.
    Returns:
      JSON string representation.

  - ### getAsyncCallerPool

    String getAsyncCallerPool()
    Get the JSON representation of the async caller thread pool.
    Returns:
      JSON string representation of the async caller thread pool.

  - ### getProxyOpPermitRejected

    long getProxyOpPermitRejected()
    Get the number of operations rejected due to lack of permits.
    Returns:
      Number of operations rejected due to lack of permits.

  - ### getProxyOpPermitRejectedPerNs

    String getProxyOpPermitRejectedPerNs()
    Get the number of operations rejected due to lack of permits of each namespace.
    Returns:
      Number of operations rejected due to lack of permits of each namespace.

  - ### getProxyOpPermitAcceptedPerNs

    String getProxyOpPermitAcceptedPerNs()
    Get the number of operations accepted of each namespace.
    Returns:
      Number of operations accepted of each namespace.